# API · Create group

> Create group: POST /api/v1/collect/set/group.

- kind: api-operation
- status: stable
- api_version: v1
- last_verified: 2026-10-20
- url: https://tilopay.com/en/developers/api/cobros-tarjetas-guardadas/set-group

```http
POST /api/v1/collect/set/group
```

## What it does [#que-hace]

Create group.

## Authentication [#autenticacion]

Host: `https://app.tilopay.com`. Requires the API bearer token in `Authorization: Bearer <token>` and the integration key in the body (`key`).

[Get the API token](/en/developers/api/autenticacion/token-api).

## Parameters [#parametros]

<Param id="set-group-parametro-key" name="key" type="string" required>
Integration key.
</Param>

<Param id="set-group-parametro-name" name="name" type="string" required>
Group name.
</Param>

<Param id="set-group-parametro-currency" name="currency" type="string" required>
ISO 4217 currency.
</Param>

<Param id="set-group-parametro-amount" name="amount" type="string" required>
Default amount, text with 2 decimal places.
</Param>

## Request example [#ejemplo-request]

`<api_key>` is the placeholder for your integration key.

```json
{
  "key": "<api_key>",
  "currency": "USD",
  "amount": "100.00",
  "name": "Grupo Name"
}
```

## Response [#respuesta]

type is "200". id identifies the created group.

<Param id="set-group-respuesta-type" name="type" type="string">
`type`.
</Param>

<Param id="set-group-respuesta-errors" name="errors" type="unknown">
`errors`.
</Param>

<Param id="set-group-respuesta-id" name="id" type="unknown">
`id`.
</Param>

```json
{
  "type": "200",
  "errors": "",
  "id": 10
}
```

```schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "const": "200"
    },
    "errors": {
      "type": "string"
    },
    "id": {
      "type": "integer"
    }
  }
}
```
